LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XShapeCombiner Interface Referencepublished

specifies the combine/split functionality. More...

`import"XShapeCombiner.idl";`

Inheritance diagram for XShapeCombiner:

## Public Member Functions
com::sun::star::drawing::XShape | combine ([in] com::sun::star::drawing::XShapes xShapes)
| combines Shapes More...
void | split ([in] com::sun::star::drawing::XShape Group)
| splits Shapes. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the combine/split functionality.

Developers Guide
  Drawings - Grouping, Combining and Binding

## Member Function Documentation

## ◆ combine()

com::sun::star::drawing::XShape combine | ( | [in] com::sun::star::drawing::XShapes | xShapes | ) |

combines Shapes

Parameters

  xShapes | the Shapes inside this container are converted to PolyPolygonBezierShapes and are than combined into one PolyPolygonBezierShape. The Shapes in xShape will be removed from the GenericDrawPage and disposed.

Returns
  a newly created PolyPolygonBezierShape which contains all converted PolyPolygonBezierShape combined. It is also added to the GenericDrawPage of the source Shapes.

## ◆ split()

void split | ( | [in] com::sun::star::drawing::XShape | Group | ) |

splits Shapes.

Parameters

  Group | the Shape is converted to a PolyPolygonBezierShapes and then split into several PolyPolygonBezierShapes The Shapes in xShape will be removed from the GenericDrawPage and disposed.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeCombiner.idl